package my.test;
import java.util.Properties;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Queue;
import javax.naming.Context;
import javax.naming.InitialContext;

public class Connect2Queue {

	public static void main(String[] args) {
		Properties props = new Properties();
		props.put(Context.INITIAL_CONTEXT_FACTORY,
				"org.jboss.naming.remote.client.InitialContextFactory");
		props.put(Context.PROVIDER_URL, "remote://my_machine:4447");
		props.put(Context.SECURITY_PRINCIPAL, "noa");
		props.put(Context.SECURITY_CREDENTIALS, "my_password");

		Context context;
		long startTime = System.currentTimeMillis();
		try {
			System.out.println("Trying to get initial context");
			context = new InitialContext(props);
			System.out.println("Have inital context");
			ConnectionFactory connFactory = (ConnectionFactory) context
					.lookup("jms/RemoteConnectionFactory");
			Queue queue = (Queue) context.lookup("jms/queue/OutgoingMissionsQueue");			
			Connection connection = connFactory.createConnection("noa","my_password");						
			System.out.println("success");			
			connection.close();			
		} catch (Exception e) {
			System.out.println("fail");
			e.printStackTrace();
		} 
		
		System.out.println("Elapsed time = " + (System.currentTimeMillis() - startTime) + " milliseconds");
	}
}
